using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Queue.Request
{
    [XmlRoot("Transfer")]
    public class VisitorToExtQueueRequest : INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("visitor")]
        public VisitorToExtQueueVisitor Visitor { get; set; }

        [XmlElement("ext")]
        public VisitorToExtQueueExt Ext { get; set; }

    }

    public class VisitorToExtQueueVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class VisitorToExtQueueExt
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
